// Agent org_majordomo in project org_step2

/* Initial beliefs and rules */

org_name("easss_org").
group_name("easss_team").
sch_name("easss_sch").

/* Initial goals */

!start.

+!start : org_name(Oname) & group_name(Gname) & sch_name(Schname) <-  
      
      createWorkspace(Oname);
      joinWorkspace(Oname,WOrg);
     
      makeArtifact(Oname, "ora4mas.nopl.OrgBoard", ["src/org/org-spec.xml"], OrgArtId)[wid(WOrg)];
      focus(OrgArtId)[wid(WOrg)];

      createGroup(Gname, easssGr, GrArtId);
      debug(inspector_gui(on))[artifact_id(GrArtId)];
      focus(GrArtId)[wid(WOrg)];
                  
      // create the scheme
      createScheme(Schname, easssSch, SchArtId);
      debug(inspector_gui(on))[artifact_id(SchArtId)];
      focus(SchArtId)[wid(WOrg)];
      
      ?formationStatus(ok)[artifact_id(GrArtId)]; // see plan below to ensure we wait until it is well formed
      addScheme(Schname)[artifact_id(GrArtId)];
      .
   
 // plans to wait until the group is well formed
// makes this intention suspend until the group is believed to be well formed
+?formationStatus(ok)[artifact_id(G)]
   <- .wait({+formationStatus(ok)[artifact_id(G)]}).
  
    
{ include("$jacamoJar/templates/common-cartago.asl") }
{ include("$jacamoJar/templates/common-moise.asl") }

// uncomment the include below to have an agent compliant with its organisation  
//{ include("$jacamoJar/templates/org-obedient.asl") }
